Grist Octri Preview
GET/workspaces/{workspaceId}/access

List users with access to a workspace

Lists users who have access to a workspace. Use workspaceId to select the workspace and retrieve its inherited access role and user access details.

1 parameter
workspaceIdintegerrequired
The integer identifier of the workspace whose access details you want to retrieve.

1 status code
200Returns the workspace's maximum inherited role and a list of users with access, including each user's required identifier and name.
maxInheritedRolestringrequired
Allowed:ownerseditorsviewers
usersarray<object>required

Error handling

The workspaceId path parameter must be an integer that identifies an existing workspace.